org.apache.kylin.jdbc

## Class KylinJdbcFactory.Version40

- java.lang.Object
- - org.apache.kylin.jdbc.KylinJdbcFactory
  - - org.apache.kylin.jdbc.KylinJdbcFactory.Version40

All Implemented Interfaces:
  org.apache.calcite.avatica.AvaticaFactory

Enclosing class:
  KylinJdbcFactory

    public static class KylinJdbcFactory.Version40
    extends KylinJdbcFactory

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.kylin.jdbc.KylinJdbcFactory

`KylinJdbcFactory.Version40, KylinJdbcFactory.Version41`

### Constructor Summary

Constructors
Constructor and Description
`KylinJdbcFactory.Version40()`

### Method Summary

### Methods inherited from class org.apache.kylin.jdbc.KylinJdbcFactory

`getJdbcMajorVersion, getJdbcMinorVersion, newConnection, newDatabaseMetaData, newPreparedStatement, newRemoteClient, newResultSet, newResultSetMetaData, newStatement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinJdbcFactory.Version40

    public KylinJdbcFactory.Version40()